﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using BC.NetWinBarcodeGeneratorTrial.Code39;

namespace BCNetWinBarcodeGeneratorDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Code39 barcode = new Code39();
            barcode.SetType = LinearType.Code39;
            barcode.SetData = "WWW.BARCODEBC.COM";
            barcode.SetUOM = UnitofMeasurement.Pixel;
            barcode.ApplyCheckDigit = false;
            barcode.IG = 1;
            barcode.SetDPI = 96;
            barcode.SetStartStopCharsVisible = false;
            barcode.SetWidetoNarrowXRatio = 2;
            barcode.AutoSize = false;
            barcode.SetColor = System.Drawing.Color.Red;
            barcode.SetFontColor = System.Drawing.Color.DarkBlue;
            barcode.SetFont = new Font("Arial", 10f, FontStyle.Bold);
            barcode.SetTextVisible = true;
            barcode.SetX = 1;
            barcode.SetY = 80;
            barcode.SetLeftSpace = 5;
            barcode.SetRightSpace = 5;
            barcode.SetTopSpace = 5;
            barcode.SetBottomSpace = 5;
            barcode.SetWidth = 300;
            barcode.SetHeight = 100;
            barcode.SetImageFormat = System.Drawing.Imaging.ImageFormat.Png;
            Image image = barcode.GenerateBarcode();
            pictureBox1.Image = image;
        }

        private void Form1_Load_1(object sender, EventArgs e)
        {
            
        }
    }
    /* In addition to String and Bitmap object, you can also output barcode to Stream object, Graphics object or byte array.
         
         Stream stream = ...;
         barcode.GenerateBarcode(stream);         
         
         Graphics graphics = ...
         barcode.GenerateBarcode(graphics);      
         
         byte[] barcodeInBytes = barcode.GenerateasBytes(); */
}
